<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:op="utc.fr:ics/opale3" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:java="http://xml.apache.org/xslt/java" xmlns:rbs="scpf.org:opale/rubis" exclude-result-prefixes="sfacet op sp java rbs " extension-element-prefixes="sfacet op sp java rbs " >

<xsl:param name="pItem"/>
<xsl:param name="pIdSubItem"/>
<xsl:param name="pOutlineContext"/>
<xsl:param name="pIncludeTitle"/>

<xsl:template match="/sc:item">
<xsl:choose>
<xsl:when test="$pIdSubItem">
<itemRoot xp="id('{$pIdSubItem}')">
<xsl:if test="$pIncludeTitle"><xsl:apply-templates select="id($pIdSubItem)/*[last()]" mode="titleNode"/></xsl:if>
<xsl:apply-templates select="id($pIdSubItem)/*[last()]" mode="children"/>
</itemRoot>
</xsl:when>
<xsl:otherwise>
<itemRoot xp="sc:item">
<xsl:if test="$pIncludeTitle"><xsl:apply-templates select="rbs:assesment" mode="titleNode"/></xsl:if>
<xsl:apply-templates select="rbs:assesment" mode="children"/>
</itemRoot>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="rbs:assesment" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:uM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="rbs:assesment" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="rbs:assesment/sp:conclu">
<node xp="rbs:assesment/sp:conclu[{count(preceding-sibling::sp:conclu) + 1}]" name="Conclusion">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res" mode="titleNode">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txtRes" mode="titleNode">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txtRes" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="rbs:pre" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="rbs:preM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="rbs:pre" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="rbs:pre/sp:pre">
<node xp="rbs:pre/sp:pre[{count(preceding-sibling::sp:pre) + 1}]" name="Pré-requis">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mcqSur" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mcqMur" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:match" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:label" mode="titleNode">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:label" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:labelImg" mode="titleNode">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:labelImg" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ordWord" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:cloze" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:field" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:numerical" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mcqSurPts" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mcqMurSum" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mcqMurMap" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:coQuiz" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:coQuiz" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="rbs:assesmentDiv" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="rbs:assesmentDivM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="rbs:assesmentDiv" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>


<xsl:template match="node()|@*"/>
<xsl:template match="node()|@*" mode="titleNode"/>
<xsl:template match="node()|@*" mode="children"/>
</xsl:stylesheet>